Bug 871848 (CVE-2012-4565)

Summary: CVE-2012-4565 kernel: net: divide by zero in tcp algorithm illinois
Product: [Other] Security Response Reporter: Petr Matousek <pmatouse>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: unspecifiedCC: agordeev, anton, bhu, davej, dhoward, fhrbata, gansalmon, iboverma, itamar, jforbes, jkacur, jneedle, jonathan, jwboyer, kernel-maint, kernel-mgr, lgoncalv, lwang, madhu.chinakonda, mcressma, plougher, rt-maint, rvrbovsk, sforsber, williams
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard: impact=moderate,public=20121031,reported=20121015,source=redhat,cvss2=4.7/AV:L/AC:M/Au:N/C:N/I:N/A:C,rhel-5/kernel=notaffected,rhel-6/kernel=affected,mrg-2/realtime-kernel=affected,fedora-all/kernel=affected
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2013-06-05 14:58:11 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On: 866514, 866518, 871920, 871921, 871922, 871923    
Bug Blocks: 871849    

Description Petr Matousek 2012-10-31 10:21:36 EDT
Reading TCP stats when using TCP Illinois congestion control algorithm can cause a divide by zero kernel oops.

An unprivileged local user could use this flaw to crash the system.

Proposed upstream patch:
http://thread.gmane.org/gmane.linux.network/247871

Acknowledgements:

This issue was discovered by Rodrigo Freire of Red Hat.
Comment 3 Petr Matousek 2012-10-31 13:52:45 EDT
Created kernel tracking bugs for this issue

Affects: fedora-all [bug 871923]
Comment 4 Petr Matousek 2012-10-31 14:04:06 EDT
Statement:

This issue did not affect the version of Linux kernel as shipped with Red Hat Enterprise Linux 5.

This issue did affect the version of Linux kernel as shipped with Red Hat Enterprise Linux 6.

This issue did affect the version of Linux kernel as shipped with Red Hat Enterprise MRG 2.
Comment 6 errata-xmlrpc 2012-12-04 15:04:08 EST
This issue has been addressed in following products:

  MRG for RHEL-6 v.2

Via RHSA-2012:1491 https://rhn.redhat.com/errata/RHSA-2012-1491.html
Comment 7 John Kacur 2012-12-17 10:16:01 EST
I believe this is
commit dee1f973ca341c266229faa5a1a5bb268bed3531 upstream
Comment 8 errata-xmlrpc 2012-12-18 17:36:20 EST
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2012:1580 https://rhn.redhat.com/errata/RHSA-2012-1580.html